REGISTRY = {}
function REGISTRY:Read(Nom_Dossier,Nom_Value)
   if Nom_Dossier ~= nil and Nom_Value ~= nil then
      dofile(MACXT_Path.."/MACXT/Systeme/Registre/"..Nom_Dossier.."/"..Nom_Value..".MACXT")
      Nom_Dossier = nil
      Nom_Value = nil
   end
end
function REGISTRY:Create_Dir(Nom_Dossier)
   if Nom_Dossier ~= nil then
      System.createDirectory(MACXT_Path.."/MACXT/Systeme/Registre/"..Nom_Dossier)
      Nom_Dossier = nil
   end
end
function REGISTRY:Create_File(Nom_Dossier,Nom_Value,VALUE_Write)
   if Nom_Dossier ~= nil and Nom_Value ~= nil then
      file = io.open(MACXT_Path.."/MACXT/Systeme/Registre/"..Nom_Dossier.."/"..Nom_Value..".MACXT","w")
      if VALUE_WRITE ~= nil then
         file:write(VALUE_WRITE)
         VALUE_WRITE = nil
      end
      file:close()
      Nom_Dossier = nil
      Nom_Value = nil
   end
end
function REGISTRY:Write_On_File(Nom_Dossier,Nom_Value,VALUE_WRITE)
   if Nom_Dossier ~= nil and Nom_Value ~= nil and VALUE_WRITE ~= nil then
      file = io.open(MACXT_Path.."/MACXT/Systeme/Registre/"..Nom_Dossier.."/"..Nom_Value..".MACXT","w")
      file:write(VALUE_WRITE)
      file:close()
      VALUE_WRITE = nil
      Nom_Dossier = nil
      Nom_Value = nil
   end
end
function REGISTRY:Clear_Directory(Nom_Dossier)
   if Nom_Dossier ~= nil then
      System.currentDirectory(MACXT_Path.."/MACXT/Systeme/Registre/"..Nom_Dossier.."/")
      fichiers = System.listDirectory()
      n_fichiers = table.getn(fichiers)
      for clear=1,n_fichiers do
         if clear == n_fichiers + 1 then break end
         System.removeFile(fichiers[clear].name)
      end
      System.removeDirectory(MACXT_Path.."/MACXT/Systeme/Registre/"..Nom_Dossier)
      Nom_Dossier = nil
      fichiers = nil
      n_fichiers = nil
      clear = nil
      System.currentDirectory(MACXT_Path)
   end
end
function REGISTRY:Clear_File(Nom_Dossier,Nom_Value)
   if Nom_Dossier ~= nil and Nom_Value ~= nil then
      System.removeFile(MACXT_Path.."/MACXT/Systeme/Registre/"..Nom_Dossier.."/"..Nom_Value..".MACXT")
   end
end
